/**
 * amiPro utils - jQuery-free version
 */

'use strict';

function setI18NText(i18n_map){
  for (const key of i18n_map.keys()) {
    const elm = document.getElementById(key);
    if(elm){
      const lang = window.navigator.language;
      var elem = i18n_map.get(key)
      var msg = null
      if(elem){
        msg = elem.get(lang)
        if(!msg)msg=elem.get('en-US');
      }
      if(!msg)msg = key+"-"+lang
      
      elm.textContent = msg;
    }
  }
}

function getI18NText(i18n_map, key){
  const lang = window.navigator.language;
  var elem = i18n_map.get(key)
  var msg = null
  if(elem){
    msg = elem.get(lang)
    if(!msg)msg=elem.get('en-US');
  }
  if(!msg)msg = key+"-"+lang
  
  return msg  
}
